Web Vitals
Get Web Vitals For Project
GET
apiKeyAuthheader
x-api-key<token>FastStats API key. Pass it in the x-api-key header or as a Bearer token in the Authorization header.
idOrSlug*stringmetric?stringValue in
"CLS""LCP""INP""FCP""TTFB""FID"positiveOnly?"true"Value in
"true"from?stringto?stringdevice?stringbrowser?stringos?stringcountry?stringroute?stringsegment?string|array<string>excludeSegment?string|array<string>Success
application/json- response
[index: integer]?curl -X GET 'https://api.faststats.dev/v0/projects/string/vitals'Example Response
[ { "id": "string", "projectId": "string", "sessionId": "string", "metric": "string", "value": 0, "label": "string", "device": "string", "country": "string", "os": "string", "browser": "string", "url": "string", "attributes": {}, "createdAt": "string" }]curl -X GET 'https://api.faststats.dev/v0/projects/string/vitals'[
{
"id": "string",
"projectId": "string",
"sessionId": "string",
"metric": "string",
"value": 0,
"label": "string",
"device": "string",
"country": "string",
"os": "string",
"browser": "string",
"url": "string",
"attributes": {},
"createdAt": "string"
}
]